# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(CPAN.pm) perl(Class/Method/Modifiers/Fast.pm) perl(Data/Dumper.pm) perl(Data/Util.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Find.pm) perl(Hash/FieldHash.pm) perl(IO/Handle.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Object/Accessor.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Test/Exception.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Class-Monadic
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Provides monadic methods (a.k.a. singleton methods)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GF/GFUJI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`Class::Monadic' provides per-object classes, monadic classes. It is also.known as singleton classes in other languages, e.g. `Ruby'.

Monadic classes is used in order to define monadic methods, i.e. per-object
methods (a.k.a. singleton methods), which are available only at the
object they are defined into.

All the meta data that `Class::Monadic' deals with are outside the object
associated with monadic classes, so this module does not depend on the
implementation of the object.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README example
%perl_vendor_privlib/C*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

